For Ruby 1.8.1